package com.younki.maidmatching.ui;

import androidx.appcompat.app.AppCompatActivity;

import android.content.BroadcastReceiver;
import android.content.IntentFilter;
import android.graphics.drawable.ColorDrawable;
import android.net.ConnectivityManager;
import android.os.Bundle;

import com.younki.maidmatching.R;
import com.younki.maidmatching.ui.auth.RegisterAsMaidActivity;
import com.younki.maidmatching.utils.BaseActivity;
import com.younki.maidmatching.utils.CheckInternet;

public class MainActivity extends BaseActivity {

    BroadcastReceiver broadcastReceiver = null;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Check Internet Status
        checkInternetStatus(MainActivity.this);

        // Check If User Is Maid
        AddMaidSkillDialog addMaidSkillDialog = new AddMaidSkillDialog(MainActivity.this);
        addMaidSkillDialog.setCancelable(false);
        addMaidSkillDialog.getWindow().setBackgroundDrawable(new ColorDrawable(MainActivity.this.getResources().getColor(android.R.color.transparent)));
        addMaidSkillDialog.show();

        // Check If User Profile Not Complete
        CompleteProfileDialog completeProfileDialog = new CompleteProfileDialog(MainActivity.this);
        completeProfileDialog.setCancelable(false);
        completeProfileDialog.getWindow().setBackgroundDrawable(new ColorDrawable(MainActivity.this.getResources().getColor(android.R.color.transparent)));
        completeProfileDialog.show();
    }
}